%define upstream_name    Net-Random
%define upstream_version 2.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Get random data from online sources
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode::Locale) >= 1.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON) >= 2.900.0
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::MockObject) >= 1.70.0
BuildRequires: perl(Test::More) >= 0.640.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.320.0-3.mga10
+ Revision: 2209345
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.320.0-2.mga9
+ Revision: 1819911
- Mageia 9 Mass Rebuild

* Mon May 11 2020 tv <tv> 2.320.0-1.mga8
+ Revision: 1582839
- update to 2.32

* Wed Feb 12 2020 umeabot <umeabot> 2.310.0-8.mga8
+ Revision: 1496003
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.310.0-7.mga7
+ Revision: 1269967
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.310.0-6.mga6
+ Revision: 1031301
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 2.310.0-5.mga6
+ Revision: 937454
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 2.310.0-4.mga6
+ Revision: 937007
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.310.0-3.mga5
+ Revision: 740821
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.310.0-2.mga5
+ Revision: 685709
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 2.310.0-1.mga5
+ Revision: 615098
- update to 2.31

* Sat Oct 19 2013 umeabot <umeabot> 2.300.0-2.mga4
+ Revision: 530591
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 2.300.0-1.mga4
+ Revision: 458358
- update to 2.3

* Sun Jan 13 2013 umeabot <umeabot> 2.220.0-2.mga3
+ Revision: 370836
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2.220.0-1.mga3
+ Revision: 255260
- update to 2.22

* Mon Nov 14 2011 kharec <kharec> 2.0.0-1.mga2
+ Revision: 167519
- imported package perl-Net-Random


* Mon Nov 14 2011 cpan2dist 2.0-1mga
- initial mageia release, generated with cpan2dist
